Bug 211 - couldn't create image from "file:///home/ivan/Posao/Rosa/work/item.png"
: couldn't create image from "file:///home/ivan/Posao/Rosa/work/item.png"
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal enhancement
: ---
Assigned To: Anton Sterkhov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 13:49 MSD by Sergey A. Sokolov
Modified: 2012-06-26 13:04 MSD (History)
6 users (show)

See Also:
RPM Package: plasma-desktoptheme-rosa
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
Broken theme for SW (146.48 KB, image/png)
2012-06-04 19:40 MSD, Denis Koryavov
Details
Broken theme for shutdown&exit dialog (167.88 KB, image/png)
2012-06-04 19:41 MSD, Denis Koryavov
Details
Broken theme for NetworkManager (178.01 KB, image/png)
2012-06-04 19:41 MSD, Denis Koryavov
Details
Broken theme for RocketBar (112.64 KB, image/png)
2012-06-04 19:42 MSD, Denis Koryavov
Details
Example, how the theme should looks like (292.99 KB, image/png)
2012-06-04 19:57 MSD, Denis Koryavov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey A. Sokolov 2012-05-10 13:49:02 MSD
Description of problem:
$ tar -zxf plasma-desktoptheme-rosa-1.2.0.tar.bz2
$ cd plasma-desktoptheme-rosa-1.2.0
$ zcat ROSA/dialogs/krunner.svgz > krunner.svg

in 768 str. 

 xlink:href="file:///home/ivan/Posao/Rosa/work/elementary.png"

Result:

$ grep ivan ~/.xsession-errors
couldn't create image from  "file:///home/ivan/Posao/Rosa/work/item.png"
couldn't create image from  "file:///home/ivan/Posao/Rosa/work/item.png"
couldn't create image from  "file:///home/ivan/Posao/Rosa/work/item.png"
Comment 1 Dmitry Mikhirev 2012-05-28 17:04:02 MSD
To QA: when testing fixed package ensure that all theme elements (icons, backgrounds etc.) are displayed properly. It is not nesessary to check packages for both architectures as this is noarch package.

Containers with fixed packages:

i586: http://abf.rosalinux.ru/downloads/rosa2012lts/container/plasma-desktoptheme-rosa-117666
x86_64: http://abf.rosalinux.ru/downloads/rosa2012lts/container/plasma-desktoptheme-rosa-116387

Advisory: Some SVG icons in plasma-desktoptheme-rosa contained broken links, leading to impossibility to display them and error messages in ~/.xsession-errors.  All SVG images were cleaned up that significantly reduced their size, and broken links were removed.
Comment 2 Alexander Petryakov 2012-06-03 20:04:17 MSD
plasma-desktoptheme-rosa-1.2.3-2-rosa.lts2012.0
************** Advisory **************
Some SVG icons in plasma-desktoptheme-rosa contained broken links, leading to impossibility to display them and error messages in ~/.xsession-errors.  All SVG images were cleaned up that significantly reduced their size, and broken links were removed.
**************************************
QA Verified
Comment 3 Denis Koryavov 2012-06-04 19:39:58 MSD
OK. Fine. Now, the theme is completely broken. Just see screenshots.
Comment 4 Denis Koryavov 2012-06-04 19:40:29 MSD
Created attachment 227 [details]
Broken theme for SW
Comment 5 Denis Koryavov 2012-06-04 19:41:01 MSD
Created attachment 228 [details]
Broken theme for shutdown&exit dialog
Comment 6 Denis Koryavov 2012-06-04 19:41:37 MSD
Created attachment 229 [details]
Broken theme for NetworkManager
Comment 7 Denis Koryavov 2012-06-04 19:42:13 MSD
Created attachment 230 [details]
Broken theme for RocketBar
Comment 8 Aleksandr Kazantcev 2012-06-04 19:46:29 MSD
What's broken? May be better point for broke items?
Comment 9 Denis Koryavov 2012-06-04 19:49:42 MSD
Alex, could you rollback changes please (to the previous release)?
Comment 10 Alexander Burmashev 2012-06-04 19:50:46 MSD
i can, should i just remove tha package or build new one with higher release and replace ?
Comment 11 Denis Koryavov 2012-06-04 19:55:39 MSD
I suppose, build the previous version as the new (with the higher release) should be enough.
Comment 12 Denis Koryavov 2012-06-04 19:57:58 MSD
Created attachment 231 [details]
Example, how the theme should looks like

Here is the screen how the theme should looks like.
Comment 13 Aleksandr Kazantcev 2012-06-04 20:01:14 MSD
Thanks. It's really fail :(
Comment 15 Denis Koryavov 2012-06-04 20:45:17 MSD
Yes, everything is ОК.
Comment 16 Alexander Burmashev 2012-06-04 20:55:48 MSD
should be published already
Comment 17 Denis Koryavov 2012-06-04 21:00:02 MSD
OK, thanks! I will test this package as soon as it will be on the mirrors.
Comment 18 Anton Sterkhov 2012-06-09 13:58:38 MSD
Fixed the button.svgz, theme cleared of broken image links.
i586 https://abf.rosalinux.ru/build_lists/618207
x86_64 https://abf.rosalinux.ru/build_lists/618208
Comment 19 Anton Sterkhov 2012-06-09 14:23:32 MSD
Fixed the button.svgz, theme cleared of broken image links.
i586 https://abf.rosalinux.ru/build_lists/618207
x86_64 https://abf.rosalinux.ru/build_lists/618208

Advisory: Fixed the button.svgz, theme cleared of broken image links.
Comment 20 Vladimir Potapov 2012-06-18 18:26:51 MSD
"Пакет plasma-desktoptheme-rosa-1.2.3-3-rosa.lts2012.0.noarch уже установлен"
The bug is present.

Please, update version.
Comment 21 Denis Koryavov 2012-06-18 19:01:52 MSD
Anton, please up version.
Comment 23 Vladimir Potapov 2012-06-20 17:40:34 MSD
plasma-desktoptheme-rosa-1.2.4-1-rosa.lts2012.0
************* Advisory **********************************
Fixed the button.svgz, theme cleared of broken image links.
*********************************************************
QA Verified
Comment 24 Denis Koryavov 2012-06-26 12:59:44 MSD
UP

This theme is NOT published.
Comment 25 Alexander Burmashev 2012-06-26 13:04:32 MSD
sent the correct package to be published, should be OK now.